

/**
 * 
 * @param {*} array 数据
 * @param {*} qx 指定的区县
 * @param {*} field 区域字段
 */
export function toFirst(array, qx, field) {
  if (!array) new Error("数组不存在")
  if (qx === "重庆市") {
    return array;
  }
  const idx = array.findIndex(item => item[field] === qx);
  if (idx > 0) {
    // 深拷贝
    const tempItem = JSON.parse(JSON.stringify(array[idx]))
    // 移除这个节点
    array.splice(idx, 1)
    array = [tempItem, ...array]
    return array;
  }
  return array;
}
